# cli-setup

Example use taken from [madlang](http://hackage.haskell.org/package/madlang)'s
`Setup.hs` file:

```haskell
import           Distribution.CommandLine
import           Distribution.Simple

main :: IO ()
main = setManpath >>
    writeManpages "man/madlang.1" "madlang.1" >>
    writeBashCompletions "madlang" >>
    defaultMain
```

Be sure to add `man/madlang.1` (or whatever the path to your source file is) to
your `.cabal` file's `extra-source-files` field. 
